# pydicom.filereader.read_partial

pydicom.filereader.read_partial(fileobj: BinaryIO, stop_when: Optional[Callable[[pydicom.tag.BaseTag, Optional[str], int], bool]] = None, defer_size: Optional[Union[int, float, str]] = None, force: bool = False, specific_tags: Optional[List[pydicom.tag.BaseTag]] = None) → Union[pydicom.dataset.FileDataset, pydicom.dicomdir.DicomDir]

  Parse a DICOM file until a condition is met.

  Parameters

    - fileobj (a file-like object) – Note that the file will not close when the function returns.

    - stop_when – Stop condition. See `read_dataset()` for more info.

    - defer_size (int, str or float, optional) – See `dcmread()` for parameter info.

    - force (bool) – See `dcmread()` for parameter info.

    - specific_tags (list or None) – See `dcmread()` for parameter info.

  Notes

  Use `dcmread()` unless you need to stop on some condition other than reaching pixel data.

  Returns

    The read dataset.

  Return type

    dataset.FileDataset or dicomdir.DicomDir

  See also

  `dcmread`

    More generic file reading function.